Package org.eclipse.ui.contexts

## Class NotDefinedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.ui.contexts.ContextException
      - - org.eclipse.ui.contexts.NotDefinedException

All Implemented Interfaces:
  `Serializable`

    @Deprecated
    public final class NotDefinedException
    extends ContextException

Deprecated.
Please use the "org.eclipse.core.commands" plug-in instead.
Signals that an attempt was made to access the properties of an undefined object.

This class is not intended to be extended by clients.

Since:
  3.0
See Also:
  `NotDefinedException`, Serialized Form

### Constructor Summary

Constructors
`NotDefinedException​(String message)` Deprecated. Creates a new instance of this class with the specified detail message.
`NotDefinedException​(NotDefinedException e)` Deprecated. Constructs a new instance of `NotDefinedException`.

### Method Summary

### Methods inherited from class org.eclipse.ui.contexts.ContextException

`getCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NotDefinedException

    public NotDefinedException​(String message)

Deprecated.
Creates a new instance of this class with the specified detail message.

Parameters:
  `message` - the detail message.

#### NotDefinedException

    public NotDefinedException​(NotDefinedException e)

Deprecated.
Constructs a new instance of `NotDefinedException`.

Parameters:
  `e` - The exception being thrown; must not be `null`.
Since:
  3.1